language: cn
model_unique_abbr: AreaD8
version: 1.0
identification:
  docker_image_name: taudem_ext:5.3.9
  model_name: 汇流累积量_D8（栅格）
  semantic: FlowAccumulation
  description: 汇流累积量算法是用于定量指示地表水流受地形控制下的空间分配的算法
  category_application: 处方型
  category_data:
  - 栅格数据
  keywords:
  - 地形分析
  - 水文分析
  - 单流向
parameter_info:
  parameters:
  - arg_name: np
    param_type: param
    visible: false
    name: 进程数
    description: mpi计算核数
    data_type: int
    data_semantic: number of process
    specification:
      default: 1
  - arg_name: ' '
    param_type: param
    visible: false
    name: D8汇流累积量计算
    description: 汇流累积量算法名称
    data_type: str
    data_semantic: name of flow contributing area algorithm in Taudem
    specification:
      default: aread8
  - arg_name: p
    param_type: input_data
    name: D8单流向栅格
    description: D8单流向栅格结果
    data_type: tif
    data_semantic: flow_direction
  - arg_name: ' '
    param_type: param
    name: 参数
    visible: false
    description: 参数
    data_type: str
    data_semantic: nc
    specification:
      default: -nc
  - arg_name: ad8
    param_type: output_data
    name: d8汇流累积量栅格
    description: d8汇流累积量栅格
    data_type: tif
    data_semantic: flow_accumulation
application:
  domain: 水文分析数据预处理
  objective: 计算生成汇流累积量
  link_models:
    preorder:
    - d8flowdir
  mechanism: 该算法根据单流向算法计算的水流方向及分配，确定每一个像元上水流的累积量。 #机理
operation:
  usage: 用户输入数流向，输出汇流累积量
  exec_example:
  - "docker run -v $(pwd)/data:/data crazyzlj/taudem_ext:alpine-openmpi-gdal-latest [-np <nproc>] aread8 -p /data/d8flowdir.tif -ad8 /data/demad8.tif"
  output_display:
  - 输出汇流累积量栅格，直接显示
technique:
  language:
  - C++
  os:
  - Windows
  - Linux
  - MacOS
  parallel:
  - MPI
  hardware:
  - CPU
source:
  maintainer: Zi-Yue Chen
  organization: Institute of Geographic Sciences and Natural Resources Research
  contact: chenzy@lreis.ac.cn
  repository: https://github.com/lreis2415/TauDEM_ext
  integrated_softwares:
  - name: taudem_ext
    version: TauDEM5.3
    license: GPLv3license
  references:
  - "O'Callaghan, J. F., Mark, D. M. 1984. The extraction of drainage networks from digital elevation data. Computer Vision, Graphics, and Image Processing, 28(3): 323–344"

